package wp_wecom

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wp_wecom"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route get /wp/wecom/send_msg wp_wecom SendMsg
//

//

//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WpWecomMsgReq
//
// Responses:
//  200: BaseMsgResp

func SendMsgHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WpWecomMsgReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wp_wecom.NewSendMsgLogic(r.Context(), svcCtx)
		resp, err := l.SendMsg(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
